---
- hosts: proxmox
  gather_facts: true
  become: yes
  tasks:
    - name: Configurando LXC en Proxmox.
      include_role:
        name: enmanuelmoreira.k3s.proxmox_lxc
      when: proxmox_lxc_configure

- hosts: k3s_cluster
  gather_facts: yes
  become: true
  tasks:
    - name: Configurando LXC.
      include_role:
        name: enmanuelmoreira.k3s.lxc
      when: proxmox_lxc_configure

    - name: Instalando prerequisitos.
      include_role:
        name: enmanuelmoreira.k3s.prereq

    - name: Descargando dependencias.
      include_role:
        name: enmanuelmoreira.k3s.download

    - name: Configurando para RPI.
      include_role:
        name: enmanuelmoreira.k3s.raspberrypi

- hosts: master
  become: true
  tasks:
    - name: Configurando nodo master.
      include_role:
        name: enmanuelmoreira.k3s.k3s.master

- hosts: node
  become: true
  tasks:
    - name: Configurando workers.
      include_role:
        name: enmanuelmoreira.k3s.k3s.node

- hosts: master
  become: true
  tasks:
    - name: Tareas post instalacion.
      include_role:
        name: enmanuelmoreira.k3s.k3s.post
